/* Cart Page Styles */

.woocommerce-cart .site-content {
  background: var(--df-white) !important;
}
.woocommerce-cart #df-cart-checkout-logo {
  align-items: center;
  width: 100%;
  padding-right: 20px;
}
.woocommerce-cart header.entry-header .entry-title {
  padding: 0 10px;
  font-size: var(--df-font-size-4xl);
  font-weight: var(--df-font-weight-bold);
}

@media (max-width: 992px) {
  .woocommerce-cart header.entry-header .entry-title {
    font-size: var(--df-font-size-3xl);
  }
}

@media (max-width: 576px) {
  .woocommerce-cart header.entry-header .entry-title {
    font-size: var(--df-font-size-2xl);
  }
}

.woocommerce-cart .wrapper-div {
  display: none;
}
.woocommerce-cart .woocommerce-info.wc_points_redeem_earn_points {
  display: none;
}
.woocommerce-cart .df-cart-wrapper {
  display: flex;
  justify-content: space-between;
  gap: 32px; 
}
.woocommerce-cart .df-cart-wrapper form {
  width: 70%;
  height: fit-content;
}
.woocommerce-cart .df-cart-wrapper .cart-collaterals {
  display: flex;
  flex-direction: column;
  width: 30%;
}
.woocommerce-cart .df-cart-wrapper .cart-collaterals .cart_totals {
  width: 100%;
  border: 1px solid var(--df-gray-300);
  margin-bottom: 16px;
  overflow: hidden;
  border-radius: var(--df-rounded-md);
}
.woocommerce-cart .df-cart-wrapper .cart-collaterals .cart_totals h2 {
  padding-top: 16px;
  padding-bottom: 16px;
}
.woocommerce-cart .shop_table {
  border-color: var(--df-gray-300) !important;
}
.woocommerce-cart .woocommerce-cart-form .shop_table thead {
  background-color: var(--df-white);
}
.woocommerce-cart .woocommerce-cart-form .shop_table thead th {
  color: var(--df-gray-700);
  font-size: var(--df-font-size-lg);
  font-weight: var(--df-font-weight-bold);
  line-height: var(--df-line-height-24);
}
.woocommerce-cart .woocommerce-cart-form .shop_table thead th,
.woocommerce-cart .woocommerce-cart-form .shop_table tbody td {
  padding: 16px;
  vertical-align: top;
}
.woocommerce-cart .shop_table .product-thumbnail {
  display: none;
}
.woocommerce-cart .shop_table .df-cart-product-name {
  display: flex;
  gap: 20px;
}
.woocommerce-cart .shop_table .df-cart-product-name .df-cart-product-thumbnail {
  width: 80px;
}
.woocommerce-cart .shop_table .df-cart-product-name .df-cart-product-thumbnail img {
  width: 100%;
  border-radius: var(--df-rounded-md);
}
.woocommerce-cart .shop_table .df-cart-product-name .df-cart-product-name-remove {
  width: calc(100% - 80px);
}
.woocommerce-cart .shop_table .df-cart-product-name .df-cart-remove-product {
  color: var(--df-gray-700);
  font-size: var(--df-font-size-xs);
  font-weight: var(--df-font-weight-regular);
  cursor: pointer;
}
.woocommerce-cart .shop_table .df-cart-product-name .df-cart-remove-product:hover {
  color: var(--df-red-500);
  text-decoration: underline;
}
.woocommerce-cart .shop_table .df-cart-product-name .ast-product-name a {
  color: var(--df-gray-700);
  font-weight: var(--df-font-weight-semibold);
  font-size: var(--df-font-size-base);
  line-height: var(--df-line-height-24);
}
.woocommerce-cart .shop_table .product-price .woocommerce-Price-amount,
.woocommerce-cart .shop_table .product-price .woocommerce-Price-currencySymbol {
  color: var(--df-gray-700);
  font-weight: var(--df-font-weight-regular);
  font-size: var(--df-font-size-base);
  line-height: var(--df-line-height-24);
}
.woocommerce-cart .shop_table .product-subtotal .woocommerce-Price-amount,
.woocommerce-cart .shop_table .product-subtotal .woocommerce-Price-currencySymbol {
  color: var(--df-gray-700);
  font-weight: var(--df-font-weight-semibold);
  font-size: var(--df-font-size-base);
  line-height: var(--df-line-height-24);
}
.woocommerce-cart .shop_table .product-remove {
  display: none;
}
.woocommerce-cart .shop_table .product-quantity  {
  display: flex;
}
.woocommerce-cart .shop_table .product-quantity .df-product-quantity-wrapper {
  display: flex;
  gap: 6px;
  padding: 4px 6px;
  border: 1px solid var(--df-gray-300);
  border-radius: var(--df-rounded-md);
}
.woocommerce-cart .shop_table .product-quantity .df-product-quantity-wrapper .df-product-quantity-pointers {
  padding: 0 4px;
  color: var(--df-gray-300);
  cursor: pointer;
}
.woocommerce-cart .shop_table .product-quantity .df-product-quantity-wrapper .df-product-quantity-pointers:hover {
  color: var(--df-gray-400);
}
.woocommerce-cart .shop_table .product-quantity .df-product-quantity-wrapper .df-product-quantity-number {
  width: 15px;
  color: var(--df-gray-600);
  text-align: center;
}
.woocommerce-cart .shop_table .product-quantity .quantity {
  display: none;
}
.woocommerce-cart .shop_table .df-shop-page-actions {
  display: none;
}
.woocommerce-cart .shop_table tbody .df-cart-product-price-label,
.woocommerce-cart .shop_table tbody .df-cart-product-quantity-label,
.woocommerce-cart .shop_table tbody .df-cart-product-subtotal-label {
  display: none;  
}
.woocommerce-cart .shop_table tbody .cart-discount .woocommerce-remove-coupon {
  display: none;
}

@media (max-width: 992px) {
  .woocommerce-cart .df-cart-wrapper {
    display: block;
  }
  .woocommerce-cart .df-cart-wrapper form {
    width: 100%;
  }
  .woocommerce-cart .df-cart-wrapper .cart-collaterals {
    width: 100%;
  }
  .woocommerce-cart .woocommerce-cart-form .shop_table thead {
    display: block;
  }
  .woocommerce-cart .shop_table .product-thumbnail {
    display: none !important;
  }
  .woocommerce-cart .woocommerce-cart-form .shop_table .product-name {
    width: 40%;
  }
  .woocommerce-cart .woocommerce-cart-form .shop_table .product-price {
    width: 20%;
    text-align: right;
  }
  .woocommerce-cart .woocommerce-cart-form .shop_table .product-quantity {
    width: 20%;
    text-align: center;
  }
  .woocommerce-cart .woocommerce-cart-form thead .shop_table .product-quantity {
    justify-content: center;
  }
  .woocommerce-cart .woocommerce-cart-form .shop_table .product-subtotal {
    width: 20%;
    text-align: right;
  }
  .woocommerce-cart .shop_table .product-quantity .df-product-quantity-wrapper {
    height: fit-content;
  }
  .woocommerce-cart .shop_table .df-cart-product-name .df-cart-product-name-remove {
    text-align: left;
  }
  .woocommerce-cart table.shop_table_responsive tbody th {
    display: block;
  }
}
@media (max-width: 576px ) {
  .woocommerce-cart .woocommerce-cart-form .shop_table .product-name {
    width: 100%;
  }
  .woocommerce-cart .shop_table tbody .woocommerce-cart-form__cart-item {
    display: block;
  }
  .woocommerce-cart .woocommerce-cart-form .shop_table .product-price,
  .woocommerce-cart .shop_table thead .product-quantity,
  .woocommerce-cart .shop_table thead .product-subtotal {
    display: none;
  }
  .woocommerce-cart .shop_table tbody .product-name {
    width: 100% !important;
  }
  .woocommerce-cart .woocommerce-cart-form .shop_table tbody .product-price {
    display: flex;
    align-items: center;
    gap: 6px;
    width: unset;
    margin-left: 100px;
    padding: 8px;
  }
  .woocommerce-cart .shop_table tbody .product-quantity {
    align-items: center;
    gap: 6px;
    width: unset;
    margin-left: 100px;
    padding: 8px !important;
  }
  .woocommerce-cart .shop_table tbody .product-subtotal {
    display: flex;
    margin-left: 12px;
    align-items: center;
    width: unset !important;
    text-align: center !important;
    gap: 6px;
    margin-left: 100px;
    padding: 8px !important;
  }
  .woocommerce-cart .shop_table tbody .df-cart-product-price-label,
  .woocommerce-cart .shop_table tbody .df-cart-product-quantity-label,
  .woocommerce-cart .shop_table tbody .df-cart-product-subtotal-label {
    display: inline;
  }

}

/* Save Extra */
.woocommerce-cart .df-savings-banner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 16px;
  background-color: var(--df-amber-50);
  border: 1px solid var(--df-amber-200);
  border-radius: var(--df-rounded-md);
  box-sizing: border-box;
}
.woocommerce-cart .df-savings-banner.df-savings-banner-center {
  justify-content: center;
}
.woocommerce-cart .df-savings-banner .df-banner-content {
  display: flex;
  align-items: center;
  gap: 15px;
}
.woocommerce-cart .df-savings-banner .df-money-icon {
  width: 52px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: transparent;
}
.woocommerce-cart .df-savings-banner .df-icon-money svg {
  fill: var(--df-gray-700);
  width: 18px;
  height: 18px;
}
.woocommerce-cart .df-savings-banner .df-save-amount {
  margin: 0 !important;
  font-weight: var(--df-font-weight-bold);
  color: var(--df-gray-700);
}
.woocommerce-cart .df-savings-banner .df-extra-discount {
  color: var(--df-red-600);
}
.woocommerce-cart .df-savings-banner .df-extra-text {
  margin: 0 !important;
  font-size: 0.85em;
  color: var(--df-gray-700);
}
.woocommerce-cart .df-savings-banner .df-add-dealclub-btn {
  display: block;
  padding: 8px 12px;
  border-radius: 6px;
  border: 1px solid var(--df-gray-700);
  line-height: var(--df-line-height-20);
  color: var(--df-gray-700);
  font-weight: var(--df-font-weight-semibold);
  white-space: nowrap;
  transition: all 0.2s;
}
@media (max-width: 992px) {
  .woocommerce-cart .df-savings-banner {
    margin-bottom: 24px;
  }
}
@media (max-width: 576px) {
  .woocommerce-cart .df-savings-banner {
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
  }
  .woocommerce-cart .df-savings-banner .df-banner-action {
    width: 100%;
    margin-top: 10px;
  }
  .woocommerce-cart .df-savings-banner .df-add-dealclub-btn {
    display: block;
    width: 100%;
    text-align: center;
  }
}

/* Cart Totals Section */
.woocommerce-cart .cart-collaterals .cart_totals .df-cart-totals-table {
  border-bottom: none;
  margin-bottom: 0;
}
.woocommerce-cart .cart-collaterals .cart_totals .df-cart-totals-table tbody {
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.woocommerce-cart .cart-collaterals .cart_totals .df-cart-totals-table .cart-subtotal th,
.woocommerce-cart .cart-collaterals .cart_totals .df-cart-totals-table .cart-subtotal td,
.woocommerce-cart .cart-collaterals .cart_totals .df-cart-totals-table .order-total td,
.woocommerce-cart .cart-collaterals .cart_totals .df-cart-totals-table .cart-discount th,
.woocommerce-cart .cart-collaterals .cart_totals .df-cart-totals-table .cart-discount td {
  padding: 0;
}
.woocommerce-cart .cart-collaterals .cart_totals .df-cart-totals-table .cart-subtotal,
.woocommerce-cart .cart-collaterals .cart_totals .df-cart-totals-table .cart-discount,
.woocommerce-cart .cart-collaterals .cart_totals .df-cart-totals-table .order-total {
  display: flex;
  justify-content: space-between;
}
.woocommerce-cart .cart-collaterals .cart_totals .df-cart-totals-table .order-total th {
  padding: 0 !important;
}
.woocommerce-cart .cart-collaterals .cart_totals .df-cart-totals-table .df-cart-coupons-points-row {
  display: flex;
}
.woocommerce-cart .cart-collaterals .cart_totals .df-cart-totals-table tr th,
.woocommerce-cart .cart-collaterals .cart_totals .df-cart-totals-table tr td {
  border: none;
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-points-heading {
  display: none;
}
.woocommerce-cart .cart-collaterals .cart_totals .df-cart-coupons-points-data {
  width: 100%;
  padding: 0;
}
.woocommerce-cart .cart-collaterals .cart_totals h2 {
  font-size: var(--df-font-size-lg);
  font-weight: var(--df-font-weight-bold);
  line-height: var(--df-line-height-24);
  color: var(--df-gray-700);
  background-color: var(--df-white);
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section {
  display: flex;
  flex-direction: column;
  gap: 16px;
  padding: 10px 0;
  border-radius: var(--df-rounded-md);
  padding: 10px 12px;
  background-color: var(--df-gray-100);
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-label-section {
  display: flex;
  justify-content: space-between;
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-label {
  display: flex;
  align-items: center;
  gap: 8px;
  font-size: var(--df-font-size-base);
  font-weight: var(--df-font-weight-semibold);
  line-height: var(--df-line-height-24);
  color: var(--df-gray-700);
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-label .dashicons {
  cursor: pointer;
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-content {
  display: flex;
  flex-direction: column;
  gap: 12px;
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-content .df-credits-not-applied-label {
  color: var(--df-gray-600);
  font-size: var(--df-font-size-xs);
  font-weight: var(--df-font-weight-regular);
  line-height: var(--df-line-height-16);
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-coupon-wrapper {
  display: flex;
  justify-content: space-between;
  gap: 16px;
  width: 100%;
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-coupon-wrapper #df-coupon-code {
  width: 62%;
  color: var(--df-gray-700);
  font-size: var(--df-font-size-sm);
  font-weight: var(--df-font-weight-regular);
  border-radius: var(--df-rounded-md);
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-coupon-wrapper .df-apply-coupon,
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-points-wrapper .df-apply-points,
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-points-wrapper .df-cannot-apply-points {
  width: 38%;
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-coupon-wrapper #df-coupon-code:active {
  border: 1px solid var(--df-gray-500);
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-coupon-wrapper #df-coupon-code::placeholder {
  color: var(--df-gray-400);
  font-size: var(--df-font-size-sm);
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-content .df-cart-coupons-invalid-coupon {    
  color: var(--df-red-500);
  font-size: var(--df-font-size-xs);
  font-weight: var(--df-font-weight-regular);
  line-height: var(--df-line-height-16);
  margin-top: -6px;
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-points-wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-points-wrapper .df-cart-coupons-use-points {
  text-align: left;
  width: 62%;
  color: var(--df-gray-700);
  font-weight: var(--df-font-weight-regular);
  font-size: var(--df-font-size-base);
  line-height: var(--df-line-height-24);
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-points-wrapper .df-user-points {
  color: var(--df-gray-700);
  font-size: var(--df-font-size-base);
  font-weight: var(--df-font-weight-semibold);
  line-height: var(--df-line-height-24);
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-coupon-wrapper .df-apply-coupon,
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-points-wrapper .df-apply-points {
  border-radius: var(--df-rounded-md);
  background-color: var(--df-white);
  color: var(--df-red-500);
  border: 1px solid var(--df-red-500);
  font-weight: var(--df-font-weight-semibold);
  font-size: var(--df-font-size-sm);
  line-height: var(--df-line-height-20);
}
.woocommerce-cart .cart-collaterals .df-cart-coupons-apply-section .df-cart-coupons-apply-points-wrapper .df-cannot-apply-points {
  background-color: var(--df-gray-400);
  border: none;
  color: var(--df-white);
  cursor: not-allowed;
  border-radius: var(--df-rounded-md);
  font-weight: var(--df-font-weight-semibold);
  font-size: var(--df-font-size-sm);
  line-height: var(--df-line-height-20);
}
.woocommerce-cart .cart-collaterals .df-cart-totals-table .recurring-totals,
.woocommerce-cart .cart-collaterals .df-cart-totals-table .cart-subtotal.recurring-total,
.woocommerce-cart .cart-collaterals .df-cart-totals-table .order-total.recurring-total {
  display: none;
}
.woocommerce-cart .cart-collaterals .df-cart-totals-table .cart-subtotal th,
.woocommerce-cart .cart-collaterals .df-cart-totals-table .cart-subtotal .woocommerce-Price-amount.amount,
.woocommerce-cart .cart-collaterals .df-cart-totals-table .cart-discount th {
  width: fit-content;
  color: var(--df-gray-700);
  font-size: var(--df-font-size-base);
  font-weight: var(--df-font-weight-regular);
  line-height: var(--df-line-height-24);
}
.woocommerce-cart .cart-collaterals .df-cart-totals-table .cart-discount td {
  color: var(--df-green-600);
  font-size: var(--df-font-size-base);
  font-weight: var(--df-font-weight-regular);
  line-height: var(--df-line-height-24);
}
.woocommerce-cart .cart-collaterals .df-cart-totals-table .order-total {
  padding-top: 16px;
  border-top: 1px solid var(--df-gray-300);
}
.woocommerce-cart .cart-collaterals .df-cart-totals-table .order-total th,
.woocommerce-cart .cart-collaterals .df-cart-totals-table .order-total td .woocommerce-Price-amount.amount{
  color: var(--df-gray-700);
  font-size: var(--df-font-size-lg);
  font-weight: var(--df-font-weight-semibold);
  line-height: var(--df-line-height-24);
}
.woocommerce-cart .shop_table tbody .cart-discount .df-woocommerce-remove-coupon-wrapper {
  display: block;
  width: fit-content;
  margin-top: 4px;
}
.woocommerce-cart .shop_table tbody .cart-discount .woocommerce-remove-coupon.df-woocommerce-remove-coupon {
  display: block;
  color: var(--df-red-500);
  font-size: var(--df-font-size-xs);
  font-weight: var(--df-font-weight-regular);
  line-height: var(--df-line-height-16);
}
.woocommerce-cart .wc-proceed-to-checkout {
  padding: 0;
  display: flex;
  flex-direction: column;
  gap: 16px;
  margin: 16px 0;
}
.woocommerce-cart .wc-proceed-to-checkout::before,
.woocommerce-cart .wc-proceed-to-checkout::after {
  display: none;
}
.woocommerce-cart .wc-proceed-to-checkout .checkout-button {
  font-size: var(--df-font-size-base) !important;
  line-height: var(--df-line-height-24) !important;
  background-color: var(--df-red-500) !important;
  border-radius: var(--df-rounded-md) !important;
  margin: 0 !important;
}
.woocommerce-cart .wc-proceed-to-checkout .checkout-button:hover {
  background-color: var(--df-red-600) !important;
}
.woocommerce-cart .wc-proceed-to-checkout .continue-shopping {
  display: block;
  text-align: center;
  border: 1px solid var(--df-gray-700);
  border-radius: var(--df-rounded-md);
  padding-top: 10px;
  padding-bottom: 10px;
  color: var(--df-gray-700);
  background-color: var(--df-white);
  font-weight: var(--df-font-weight-semibold);
  font-size: var(--df-font-size-base);
  line-height: var(--df-line-height-24);
}
.woocommerce-cart .wc-proceed-to-checkout .continue-shopping:hover {
  border: 1px solid var(--df-red-500);
  color: var(--df-red-500);
}

@media (max-width: 992px) {
  .woocommerce-cart .cart-collaterals .df-cart-totals-table .df-cart-coupons-points-row {
    display: block;
  }
  .woocommerce-cart .wc-proceed-to-checkout {
    flex-direction: row;
    justify-content: space-between;
  }
  .woocommerce-cart .wc-proceed-to-checkout .checkout-button,
  .woocommerce-cart .wc-proceed-to-checkout .continue-shopping {
    width: 50%;
  }
}

@media (max-width: 576px) {
  .woocommerce-cart .wc-proceed-to-checkout {
    flex-direction: column;
  }
  .woocommerce-cart .wc-proceed-to-checkout .checkout-button,
  .woocommerce-cart .wc-proceed-to-checkout .continue-shopping {
    width: 100%;
  }
}

/* Support Section */
.woocommerce-cart .df-cart-wrapper .cart-collaterals .df-cart-support-section .df-email-support,
.woocommerce-checkout .df-email-support {
  padding-bottom: 16px;
  margin: 0;
  font-size: var(--df-font-size-xs);
  font-weight: var(--df-font-weight-regular);
  line-height: var(--df-line-height-16);
  color: var(--df-gray-700);
  text-align: center;
}
.woocommerce-cart .df-cart-wrapper .cart-collaterals .df-cart-support-section .df-email-support .df-email-link,
.woocommerce-checkout .df-email-support .df-email-link {
  color: var(--df-red-500);
}
.woocommerce-cart .df-cart-wrapper .cart-collaterals .df-cart-support-section .df-email-support .df-email-link:hover,
.woocommerce-checkout .df-email-support .df-email-link:hover {
  text-decoration: underline;
}
.woocommerce-cart .df-cart-wrapper .cart-collaterals .df-cart-support-section .df-benefits-section,
.woocommerce-checkout .df-benefits-section {
  display: flex;
  flex-direction: column;
  margin: auto;
  max-width: 400px;
  gap: 12px;
  background: transparent;
  border-top: 1px solid var(--df-slate-200);
  border-bottom: 1px solid var(--df-slate-200);
  padding: 20px 16px;
}
.woocommerce-cart .df-cart-wrapper .cart-collaterals .df-cart-support-section .df-benefits-section .df-benefit-item,
.woocommerce-checkout .df-benefits-section .df-benefit-item {
  display: flex;
  gap: 15px;
  align-items: center;
}
.woocommerce-cart .df-cart-wrapper .cart-collaterals .df-cart-support-section .df-benefits-section .df-benefit-item p,
.woocommerce-checkout .df-benefits-section .df-benefit-item p {
  margin: 0;
  font-size: 0.9em;
  line-height: 1.4;
}
.woocommerce-cart .df-cart-wrapper .cart-collaterals .df-cart-support-section .df-benefits-section img,
.woocommerce-checkout .df-benefits-section img {
  object-fit: contain;
}
.woocommerce-cart .df-cart-wrapper .cart-collaterals .df-cart-support-section .df-ratings,
.woocommerce-checkout .df-ratings {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 16px;
  gap: 20px;
}
.woocommerce-cart .wc-empty-cart-message {
  display: none;
}
.woocommerce-cart .woocommerce-message .button.wc-forward,
.woocommerce-cart .woocommerce-error .button.wc-forward {
  display: none;
}
.woocommerce-cart .woocommerce-notices-wrapper {
  display: flex;
  flex-direction: column;
  gap: 8px;
  margin-bottom: 24px;
}
.woocommerce-cart .woocommerce-notices-wrapper .woocommerce-message {
  margin: 0;
}
.woocommerce-cart .woocommerce-notices-wrapper .restore-item {
  color: var(--df-amber-700);
  text-decoration: underline;
}
.woocommerce-cart .woocommerce table.shop_table {
  margin-bottom: 16px;
  overflow: hidden;
  border-radius: var(--df-rounded-md);
}
.woocommerce-cart .df_sticky_order_details {
  display: none;
}

@media (max-width: 576px) {
  .woocommerce-cart .df_sticky_order_details {
    position: fixed;
    bottom: 0;
    z-index: 9;
    align-items: flex-end;
    display: flex;
    align-items: stretch;
    justify-content: space-between;
    width: 100vw;
    left: 0;
  }
  .woocommerce-cart .df_sticky_order_details .df_sticky_order_totals {
    width: 30%;
    background-color: var(--df-gray-50);
    border: 1px solid var(--df-gray-300);
    padding-top: 12px;
    padding-bottom: 12px;
  }
  .woocommerce-cart .df_sticky_order_details .df_sticky_order_totals .df_sticky_order_total_count {
    display: flex;
    justify-content: center;
    color: var(--df-gray-700);
    font-size: var(--df-font-size-xs);
    font-weight: var(--df-font-weight-regular);
  }
  .woocommerce-cart .df_sticky_order_details .df_sticky_order_totals .df_sticky_order_total {
    display: flex;
    justify-content: center;
    color: var(--df-gray-700);
    font-size: var(--df-font-size-base);
    font-weight: var(--df-font-weight-semibold);
  }
  .woocommerce-cart .df_sticky_order_details .df_sticky_order_proceed_checkout {
    align-items: center;
    justify-content: center;
    display: flex;
    width: 70%;
    flex: 1;
    background-color: var(--df-red-500);
    border-radius: 0 !important;
    margin: 0 !important;
  }
  .woocommerce-cart .df_sticky_order_details .df_sticky_order_proceed_checkout:hover {
    background-color: var(--df-red-600) !important;
  }
}